"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var base_1 = require("../base");
var TranslationProjectsEndpoint = (function (_super) {
    __extends(TranslationProjectsEndpoint, _super);
    function TranslationProjectsEndpoint() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * Create a new translation project.
     *
     * @param {string} opts.sourceLanguage   Source language code.
     * @param {string} opts.targetLanguage   Target language code.
     * @param {string[]|string} opts.sources  Array or comma-separated UUIDs.
     * @param {Number} [opts.wordcount]       Number of words to translate.
     * @param {string} [opts.notes]           Optional note for the translation.
     * @param {string} [opts.expertise]       Expertise code.
     * @param {string} [opts.callbackUrl]
     *
     * @return {Promise<object>}
     */
    TranslationProjectsEndpoint.prototype.create = function (opts) {
        var body = {
            source_language: opts.sourceLanguage,
            target_language: opts.targetLanguage,
            sources: Array.isArray(opts.sources)
                ? opts.sources.join(',')
                : opts.sources,
            wordcount: opts.wordcount,
            notes: opts.notes,
            expertise: opts.expertise,
            callback_url: opts.callbackUrl
        };
        return this.request('POST', '/projects/translation', {}, // Query params.
        {}, // Headers.
        body);
    };
    return TranslationProjectsEndpoint;
}(base_1.Endpoint));
exports.TranslationProjectsEndpoint = TranslationProjectsEndpoint;
